Bug 522661 - cdrdao write fails with "Cannot set write parameters mode page"
Summary: cdrdao write fails with "Cannot set write parameters mode page"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrdao
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Roman Rakus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 00:31 UTC by Matt Castelein
Modified: 2014-01-13 00:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:34:57 UTC


Attachments (Terms of Use)
Log of entire session, failed cdrdao attempt and successful attempt (646.21 KB, text/plain)
2009-09-12 19:15 UTC, Matt Castelein
no flags Details

Description Matt Castelein 2009-09-11 00:31:54 UTC
Description of problem:
Trying to write a disk (as a normal user / member of 'cdrom' group) I get this error:

Cdrdao version 1.2.3rc2 - (C) Andreas Mueller <andreas@daneb.de>
/dev/sr0: Optiarc DVD RW AD-7190A       Rev: 1.04
Using driver: Generic SCSI-3/MMC - Version 2.0 (options 0x0000)

Starting write at speed 48...
Pausing 10 seconds - hit CTRL-C to abort.
Process can be aborted with QUIT signal (usually CTRL-\).
WARNING: No super user permission to setup real time scheduling.
Turning BURN-Proof on
Enabling JustSpeed.
ERROR: Cannot set write parameters mode page.
ERROR: Cannot setup write parameters for session-at-once mode.
ERROR: Please try to use the 'generic-mmc-raw' driver.
ERROR: Writing failed.

After running this command as the same user

$ cdrecord -abort
wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.Device was not specified. Trying to find an appropriate drive...
Detected CD-R drive: /dev/cdrw
Using /dev/cdrom of unknown capabilities
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   :
Vendor_info    : 'Optiarc '
Identification : 'DVD RW AD-7190A '
Revision       : '1.04'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE FORCESPEED
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R

..Then after that cdrdao works fine:

Cdrdao version 1.2.3rc2 - (C) Andreas Mueller <andreas@daneb.de>
/dev/sr0: Optiarc DVD RW AD-7190A       Rev: 1.04
Using driver: Generic SCSI-3/MMC - Version 2.0 (options 0x0000)

Starting write at speed 48...
Pausing 10 seconds - hit CTRL-C to abort.
Process can be aborted with QUIT signal (usually CTRL-\).
WARNING: No super user permission to setup real time scheduling.
Turning BURN-Proof on
Enabling JustSpeed.
Executing power calibration...
Power calibration successful.
Writing track 01 (mode MODE2_RAW/MODE2_RAW )...
Writing track 02 (mode MODE2_RAW/MODE2_RAW )...
Writing track 03 (mode MODE2_RAW/MODE2_RAW )...
Writing track 04 (mode MODE2_RAW/MODE2_RAW )...
Writing track 05 (mode MODE2_RAW/MODE2_RAW )...
Writing track 06 (mode MODE2_RAW/MODE2_RAW )...
Writing track 07 (mode MODE2_RAW/MODE2_RAW )...
Writing track 08 (mode MODE2_RAW/MODE2_RAW )...
Writing track 09 (mode MODE2_RAW/MODE2_RAW )...
Wrote 288 of 288 MB (Buffers 100% 100%).
Wrote 128520 blocks. Buffer fill min 93%/max 100%.
Flushing cache...
Writing finished successfully.

Version-Release number of selected component (if applicable):
cdrdao-1.2.3-0.rc2.2.x86_64

Comment 1 Denis Leroy 2009-09-12 08:19:54 UTC
Interesting. Would it be possible to reproduce your problem with the '-v 4' debug option and attach the debug logs ? Ideally, both the failing and working cases. Thanks for your help...

Comment 2 Matt Castelein 2009-09-12 19:15:39 UTC
Created attachment 360810 [details]
Log of entire session, failed cdrdao attempt and successful attempt

Sure, no problem...

Comment 3 Bug Zapper 2010-04-28 10:16:58 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:34:57 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.